g2_addlocal.c(3)

NAME
g2_addlocal.c - Add a Local Use Section (Section 2) to a GRIB2 message.

SYNOPSIS

#include 'grib2_int.h'
#include <stdio.h>

  Functions

g2int g2_addlocal (unsigned char *cgrib, unsigned char *csec2, g2int lcsec2)
Adds a Local Use Section (Section 2) to a GRIB2 message.

Detailed Description

Add a Local Use Section (Section 2) to a GRIB2 message.

Author
    Stephen Gilbeert

Date
    2002-11-01

Definition in file g2_addlocal.c.

Function Documentation

  g2int g2_addlocal (unsigned char * cgrib, unsigned char * csec2, g2int lcsec2)

Adds a Local Use Section (Section 2) to a GRIB2 message. This function is used with routines g2_create(), g2_addgrid(), g2_addfield(), and g2_gribend() to create a complete GRIB2 message.

Parameters
    cgrib Char array that contains the GRIB2 message to which section 2 should be added. Must be allocated large enough to store the entire GRIB2 message.
    csec2 Character array containing information to be added in Section 2.
    lcsec2 Number of bytes of character array csec2 to be added to Section 2.

Returns
    > 0 = Current size of updated GRIB2 message.

•   G2_ADD_MSG_INIT GRIB message was not initialized. Need to call routine gribcreate first.

•   G2_ADD_MSG_COMPLETE GRIB message already complete. Cannot add new section.

•   G2_BAD_SEC_COUNTS Sum of Section byte counts doesn't add to total byte count.

•   G2_BAD_SEC Previous Section was not 1 or 7.

Note
    The Local Use Section (Section 2) can only follow Section 1 or Section 7 in a GRIB2 message.

Author
    Stephen Gilbeert

Date
    2002-11-01

Definition at line 41 of file g2_addlocal.c.

References G2_ADD_MSG_COMPLETE, G2_ADD_MSG_INIT, G2_BAD_SEC, G2_BAD_SEC_COUNTS, g2c_check_msg(), G2C_EMSGCOMPLETE, G2C_ENOTGRIB, gbit(), and sbit().

Author

Generated automatically by Doxygen for NCEPLIBS-g2c from the source code.